Skip to main content

List Media

The List Media API allows clients to list all media items uploaded to Subly.

How it Works​

Clients request to list all media items uploaded to Subly. The API will return a list of media items.

What You Need​

Clients of the List Media API will need:

  • An API key to use in header x-api-key for all requests.
  • The x-api-key header set with the API key received at registration.

Endpoints

All API requests require the x-api-key header to be set with the API key received at registration.

API paths use base URL https://api.getsubly.com/v2

List Media Request​

List all media items uploaded to Subly.

Endpoint: GET /media

Query Parameters:

  • page (number - optional): Page number to retrieve. Default is 1.
  • pageSize (number - optional): Number of items per page. Default is 10.
  • sort (string - optional): Sort order. Default is desc.

Response​

  • media (array): List of media items
    • id (string): ID of the media item
    • name (string): Name of the media file
    • format (string): Format of the media file e.g. MOV, MP4, MP3 (see full list here: MediaFormat)
    • language (string): Language code for transcription e.g. en-US, en-GB (see full list here: Language (Transcribe))
    • sizeBytes (number): Size of the media file in bytes
    • createdAt (string): Date and time the media item was created
    • updatedAt (string): Date and time the media item was last updated
  • count (number): Total number of media items
  • page (number): Current page number
  • total (number): Total number of pages